package com.xiaomi.youpin.decrypt.demo.v2.utils;


import lombok.extern.slf4j.Slf4j;
import org.springframework.util.DigestUtils;

@Slf4j
public class ParamUtils {

    // 校验sign
    public static Boolean checkSign(String partnerId, String data, String timestamp, String key, String sign) {

        String targetString = String.format("data=%s&partnerId=%s&timestamp=%s%s", data, partnerId, timestamp, key);
        String calSign = DigestUtils.md5DigestAsHex(targetString.getBytes());

        log.info("calSign: {} ", calSign);
        log.info("sign: {} ", sign);
        return calSign.equals(sign);
    }
}
