package com.xiaomi.youpin.decrypt.demo.v2.model;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
public class UpdateAddressInfo {
    private long orderId;
    private String updateTime;
    private Address address;

    @Getter
    @Setter
    @ToString
    public static class Address {
        private Country country;
        private Province province;
        private City city;
        private District district;
        private Area area;
        private String address;
        private String tel;

        @Getter
        @Setter
        @ToString
        public static class Country {
            private String id;
            private String name;
        }

        @Getter
        @Setter
        @ToString
        public static class Province {
            private String id;
            private String name;
        }

        @Getter
        @Setter
        @ToString
        public static class City {
            private String id;
            private String name;
        }

        @Getter
        @Setter
        @ToString
        public static class District {
            private String id;
            private String name;
        }

        @Getter
        @Setter
        @ToString
        public static class Area {
            private String id;
            private String name;
        }
    }
}
