package com.xiaomi.youpin.decrypt.demo.v2.service;


import com.xiaomi.youpin.decrypt.demo.v2.model.OrderInfo;

public interface OrderPushService {

    /**
     * 解析加密数据
     * @param partnerId 商家id
     * @param data 加密数据
     * @param sign 签名
     * @param timestamp 时间
     * @return
     * @throws Exception 解析异常
     */
    OrderInfo parseData(String partnerId, String data, String sign, String timestamp) throws Exception;
}
