package com.xiaomiyoupin.orderpush.errors;

public class BizError extends Exception {
    BizError(int code, String msg) {
        super(msg);
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    private int code;
    private String msg;

    @Override
    public String toString() {
        return String.format("BizError{code=%d, message=%s}", code, msg);
    }
}
