package com.xiaomiyoupin.orderpush.errors;

public final class ExceptionHelper {
    private ExceptionHelper() {
    }

    public static BizError create(ErrorCode errorCode, String message) {
        return new BizError(errorCode.getCode(), message);
    }

    public static BizError create(ErrorCode errorCode, String message, Throwable e) {
        BizError ex = new BizError(errorCode.getCode(), message);
        ex.initCause(e);
        return ex;
    }
}
